<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
    <?php if ( has_post_thumbnail() ) { ?>
        <div class="featured-thumbnail clearfix" itemprop="image">
            <a href="<?php the_permalink() ?>" title="<?php the_title_attribute(); ?>">
                <?php the_post_thumbnail( 'bloomy-featured' ); ?>
            </a>
        </div>
    <?php } ?>
    <div class="post-inner">
        <?php
            // Post Header
            get_template_part('template-parts/post/post-header');

            if ( is_search() ) { ?>
            <div class="post-content entry-summary clearfix">
                <?php the_excerpt(); ?>
            </div><!-- .entry-summary -->
        <?php } else { ?>
            <div class="post-content entry-content clearfix" itemprop="text">
                <?php
                    $bloomy_home_content = bloomy_theme_mod( 'home_content' );
                    if ( $bloomy_home_content == 'full_content' ) {
                        the_content( esc_html__( 'Read More', 'bloomy' ) );
                    } else {
                        the_excerpt();
                    }
                
                    $bloomy_read_more_btn = bloomy_theme_mod( 'read_more_btn' );
                    $bloomy_read_more_btn_text = bloomy_theme_mod( 'read_more_btn_text' );
                
                    if ( $bloomy_read_more_btn && $bloomy_read_more_btn_text != '' ) {
                        printf( '<div class="read-more"><a href="%1$s">%2$s</a></div>', esc_url( get_the_permalink() ), esc_html( $bloomy_read_more_btn_text ) );
                    }
                ?>
            </div><!--post-content-->
        <?php } ?>
    </div><!--.post-inner-->
</article>