<?php
/**
 * The template for displaying 404 pages (Not Found)
 *
 * @package WordPress
 * @subpackage bloomy
 * @since Bloomy 1.0
 */

get_header(); ?>
<div class="main-wrapper clearfix">
	<div id="page">
		<div class="main-content">
			<div class="content-area">
				<div class="content-page">
					<div class="content-detail">
						<div class="page-content">
							<div class="error-page-content hentry">
								<div class="error-head">
                                    <span><?php esc_html_e('Oops, This Page Could Not Be Found!','bloomy'); ?></span>
                                </div>
								<div class="error-text">
                                    <?php esc_html_e('404','bloomy'); ?>
                                </div>
								<p>
                                    <a href="<?php echo esc_url( home_url( '/' ) ); ?>"><?php esc_html_e('Back to Homepage','bloomy'); ?></a>
                                </p>
								<p>
									<?php esc_html_e( 'It seems we can&rsquo;t find what you&rsquo;re looking for. Perhaps searching can help.', 'bloomy' ); ?>
								</p>
								<?php get_search_form(); ?>
							</div>
						</div><!--.page-content-->
					</div>
				</div>
			</div>
			<?php get_sidebar(); ?>
		</div><!--.main-content-->
<?php get_footer();?>