<div class="featured-section clearfix loading">
    <div class="container">
        <div class="featuredslider owl-carousel" data-rtl='<?php echo ( is_rtl() ) ? 'true' : 'false'; ?>'>
            <?php
                $featured_slider_cat = get_theme_mod('featured_slider_cat');
                $featured_slider_posts = get_theme_mod('f_slider_posts_count', '4');
                $featured_posts = new WP_Query("category_name=".$featured_slider_cat."&ignore_sticky_posts=1&orderby=date&order=DESC&showposts=".esc_html($featured_slider_posts));

                if( $featured_posts->have_posts() ) : while ( $featured_posts->have_posts() ) : $featured_posts->the_post(); ?>
                    <a href="<?php the_permalink() ?>" title="<?php the_title_attribute(); ?>" class="featured-thumbnail f-thumb">
                        <?php
                            if ( has_post_thumbnail() ) {
                                the_post_thumbnail('bloomy-slider');
                            }
                        ?>
                        <div class="featured-content">
                            <div class="post-inner">
                                <?php if ( get_theme_mod( 'post_cats', '1' ) ) { ?>
                                    <div class="featured-cats">
                                        <span>
                                        <?php
                                            $categories = get_the_category();
                                            $separator = ', ';
                                            $output = '';
                                            if( $categories ) {
                                                foreach( $categories as $category ) {
                                                    $output .= $category->cat_name.$separator;
                                                }
                                                echo esc_attr( trim( $output, $separator ) );
                                            }
                                        ?>
                                        </span>
                                    </div><?php
                                } ?>
                                <header>
                                    <h2 class="f-title uppercase">
                                        <?php the_title(); ?>
                                    </h2>
                                </header><!--.header-->
                                <div class="read-more"><?php esc_html_e('Learn More','bloomy'); ?></div>

                            </div>
                        </div><!--.featured-content-->
                    </a>
            <?php endwhile; ?>
            <?php wp_reset_postdata(); ?>
            <?php endif; ?>
        </div><!--.featuredslider-->
    </div>
</div>